<?xml version="1.0" encoding="UTF-8"?>
<?eclipse version="3.2"?>
<plugin>
   <extension-point id="extensions" name="%extensions" schema="schema/extensions.exsd"/>
   <extension
         id="serviceExtensions"
         name="Service Standard Extensions"
         point="net.sf.jame.service.extensions">
      <encoder
            configClass="net.sf.jame.service.extensions.encoder.PNGEncoderConfig"
            id="service.encoder.png"
            name="PNG"
            runtimeClass="net.sf.jame.service.extensions.encoder.PNGEncoderRuntime"/>
      <encoder
            configClass="net.sf.jame.service.extensions.encoder.BMPEncoderConfig"
            id="service.encoder.bmp"
            name="BMP"
            runtimeClass="net.sf.jame.service.extensions.encoder.BMPEncoderRuntime"/>
      <encoder
            configClass="net.sf.jame.service.extensions.encoder.JPEGEncoderConfig"
            id="service.encoder.jpeg"
            name="JPEG"
            runtimeClass="net.sf.jame.service.extensions.encoder.JPEGEncoderRuntime"/>
      <encoder
            configClass="net.sf.jame.service.extensions.encoder.TIFFEncoderConfig"
            id="service.encoder.tiff"
            name="TIFF"
            runtimeClass="net.sf.jame.service.extensions.encoder.TIFFEncoderRuntime"/>
      <encoder
            configClass="net.sf.jame.service.extensions.encoder.MOVEncoderConfig"
            id="service.encoder.mov"
            name="MOV"
            runtimeClass="net.sf.jame.service.extensions.encoder.MOVEncoderRuntime"/>
      <encoder
            configClass="net.sf.jame.service.extensions.encoder.AVIEncoderConfig"
            id="service.encoder.avi"
            name="AVI"
            runtimeClass="net.sf.jame.service.extensions.encoder.AVIEncoderRuntime"/>
      <spool
            configClass="net.sf.jame.service.extensions.spool.LocalSpoolConfig"
            id="service.spool.local"
            name="Local Spool"
            runtimeClass="net.sf.jame.service.extensions.spool.LocalSpoolRuntime"/>
   </extension>

</plugin>
